Bug 870667 - Thunar's sendto no longer honors MIME types
Thunar's sendto no longer honors MIME types
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Thunar (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18Xfce
  Show dependency treegraph
 
Reported: 2012-10-27 15:48 EDT by Christoph Wickert
Modified: 2012-12-20 10:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:13:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 7392 None None None 2012-10-27 15:49:49 EDT

  None (edit)
Description Christoph Wickert 2012-10-27 15:48:05 EDT
+++ This bug was initially created as a clone of Xfce Bug #7392 +++

I noticed that Thunar 1.2.x no longer honors MIME types in the desktop files in /usr/share/Thunar/sendto. According to http://thunar.xfce.org/documentation/C/customizing-thunar.html#sendto it should be able to limit actions to certain MIME types: "The MimeType of the target .desktop specifies the types of files for which this action should be available in the Send To menu."

However the menu entries are shown regardless of the file type. This used to work in Thunar <= 1.x
Comment 1 Christoph Wickert 2012-10-27 15:49:49 EDT
Note that this is only for tracking and to follow the blocker bug process as we are already frozen. I have already committed a fix and updates are about to come.
Comment 2 Fedora Update System 2012-10-27 16:43:31 EDT
Thunar-1.4.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/Thunar-1.4.0-3.fc18
Comment 3 Fedora Update System 2012-10-28 12:34:35 EDT
Package Thunar-1.4.0-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Thunar-1.4.0-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17106/Thunar-1.4.0-3.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 10:13:17 EST
Thunar-1.4.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.